SPRINGGRAPH(1)

NAME
springgraph - renders a graph from a .dot file

SYNOPSIS
springgraph [OPTIONS] < input-file.dot > output-file.png

DESCRIPTION
Springgraph will read in a .dot file description of a graph, which, for each node, specifies its name and which other nodes it is connected to, and then renders a graph. The output is a PNG file. Each node is drawn as an ellipse, and each connection is drawn as an arrow. The node placement is a result of all of the nodes moving away from each other, while all nodes which are connected move toward each other. This movement is repeated until it stabilizes.

Springgraph was written as an alternative to neato, which is part of graphviz. It attempts to read the same .dot files used by graphviz, but currently only supports a limited number of node attributes (label and fillcolor) and can only handle two nodes per edge definition ("node1 -> node2", not "node1 -> node2 -> node3").

OPTIONS
springgraph accepts the following options:

-p  Create a file that can be rendered with POV-Ray

-v  create a VRML file

-s  this option specifies the scale. All of the node locations are multiplied by this. Increase the scale to eliminate node overlaps. Decrease the scale to make the graph smaller.

-t  make the background of the resulting image transparent.

-b  set background color of image, specify it in the form RRGGBB, in hex digits, e.g. FFFFFF is white, 000000 is black, FF0000 is red, ...

-l  set the line color, same format as the background color

-h  display usage synopsis

EXAMPLE
 digraph {
  "rene" -> "myon";
  "mvo" -> "rene";
 }

SEE ALSO
neato(1) sig2dot(1) http://www.graphviz.org/Documentation.php http://www.graphviz.org/cvs/doc/info/lang.html

AUTHOR
This manual page was written by Kevin M. Rosenberg <kmr@debian.org>, for the Debian GNU/Linux system (but may be used by others).